//priority: 0
onEvent('fluid.tags', (event) => {

    const sameAsID = [
        'tconstruct:blazing_blood',
        'kubejs:soul_essence',
        'integrateddynamics:menril_resin',
        'integrateddynamics:liquid_chorus',
        'astralsorcery:liquid_starlight',
        'kubejs:otherworld_plantoil',
        'kubejs:industrial_adhesives',
        'immersivepetroleum:diesel',
        'thermal:resin',
        'thermal:latex',
        'industrialforegoing:sewage'
    ]
    
    const tagAdditions = [
        { tag: 'forge:molten_glowstone', fluid: 'kubejs:molten_glowstone' },
        { tag: 'forge:blazing_blood', fluid: 'tconstruct:blazing_blood' },
        { tag: 'forge:chocolate', fluid: 'create:chocolate' },
        { tag: 'forge:tea', fluid: 'create:tea' },
        { tag: 'forge:biodiesel', fluid: 'immersiveengineering:biodiesel' },
        { tag: 'forge:concrete', fluid: 'immersiveengineering:concrete' },
        // { tag: 'forge:molten_slimesteel', fluid: 'tconstruct:molten_slimesteel' },
        // { tag: 'forge:molten_queens_slime', fluid: 'tconstruct:molten_queens_slime' },
        // { tag: 'forge:molten_soulsteel', fluid: 'tconstruct:molten_soulsteel' },
        // { tag: 'forge:molten_shadow_steel', fluid: 'materialis:molten_shadow_steel' }
    ]

    sameAsID.forEach(id => {
        event.add(id, id);
    })

    tagAdditions.forEach(additions => {
        event.add(additions.tag, additions.fluid);
    })

    metals.concat(gems).forEach((material) => {
        const tag = `forge:molten_${material}`;
        const molten = fluidOf(material);
        if(molten != null){
            event.removeAll(tag);
            event.add(tag, molten);
        }
    });
    

});